%define fname sysfs
%define lib_name_orig lib%{fname}
%define lib_major 2
%define lib_name %mklibname %{fname} %{lib_major}
%define develname %mklibname %{fname} -d
%define staticdevelname %mklibname %{fname} -d -s

Name: 		sysfsutils
Version: 	2.1.1
Release: 	%mkrel 2
URL:		https://github.com/linux-ras/sysfsutils
Source0: 	https://github.com/linux-ras/sysfsutils/archive/v%{version}.tar.gz
License: 	GPL
Group: 		System/Kernel and hardware
Summary: 	Utility suite to enjoy sysfs

%description
This package's purpose is to provide a set of utilities for interfacing
with sysfs, a virtual filesystem in Linux kernel versions 2.5+ that
provides a tree of system devices. While a filesystem is a very useful
interface, we've decided to provide a stable programming interface
that will hopefully make it easier for applications to query system devices
and their attributes.

This package currently includes:

- libsysfs: a library for accessing system devices.
- systool: an application to view system device information by bus, class,
        and topology.

%package -n	%{lib_name}
Summary:	Main library for %{name}
Group:		System/Libraries
Provides:	%{lib_name_orig} = %{version}-%{release}

%description -n	%{lib_name}
This package contains the library needed to run programs dynamically
linked with %{name}. The libsysfs library enables to access system devices.

%package -n	%{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{lib_name} = %{version}
Provides:	%{lib_name_orig}-devel = %{version}-%{release}
Provides:	%{lib_name_orig}%{lib_major}-devel = %{version}-%{release}
# for Turbolinux compatibility:
Provides:	sysfsutils-devel = %{version}-%{release}
Conflicts:	%{_lib}sysfs1-devel < 2.1.0

%description -n	%{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package -n	%{staticdevelname}
Summary:	Static library for developing programs that will use %{name}
Group:		Development/C
Requires:	%{lib_name} = %{version}
Requires:	%{develname} = %{version} 
Provides:	%{lib_name_orig}-static-devel = %{version}-%{release}
Provides:	%{lib_name_orig}%{lib_major}-static-devel = %{version}-%{release}

%description -n	%{staticdevelname}
This package contains the static library that programmers will need to develop
applications which will use %{name}.


%prep
%setup -q
%apply_patches
autoreconf -fi -Im4

%build
./autogen
%configure2_5x --disable-static
%make_build

%install
%make_install

rm -f %{buildroot}%{_libdir}/*.la

%files
%doc AUTHORS README
%{_bindir}/systool
%{_mandir}/man1/*

%files -n %{lib_name}
%{_libdir}/libsysfs.so.%{lib_major}*

%files -n %{develname}
%doc docs/libsysfs.txt
%{_libdir}/libsysfs.so
%{_includedir}/sysfs/libsysfs.h
%{_includedir}/sysfs/dlist.h
%{_libdir}/pkgconfig/libsysfs.pc


%changelog
* Tue Jan 25 2022 tex - 2.1.1-2pclos2022
- rebuild against updates

* Mon Nov 22 2021 yodelu - 2.1.1-1pclos2021
- update

* Sat Jul 10 2021 tex - 2.1.0-10pclos2021
- rebuild against updates

* Wed Feb 19 2020 tex - 2.1.0-9pclos2020
- rebuild against updates

* Mon Aug 05 2019 tex - 2.1.0-8pclos2019
- rebuild against updates

* Tue Apr 11 2017 bb2 <bb2> - 2.1.0-7pclos2017
- rebuild for 2017

* Fri Jan 29 2016 bb <bb> - 2.1.0-6pclos2016
- rebuild for updated libs
